Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 550654 - =sys-apps/install-xattr-0.5: please stabilize
Summary: =sys-apps/install-xattr-0.5: please stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal critical (vote)
Assignee: Anthony Basile
URL:
Whiteboard:
Keywords: STABLEREQ
: 551038 (view as bug list)
Depends on:
Blocks: 484436 554104
  Show dependency tree
 
Reported: 2015-05-28 14:52 UTC by Jason Zaman
Modified: 2015-10-09 01:17 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
[PATCH] misc/install-xattr: ignore all whitespace in PORTAGE_XATTR_EXCLUDE (0001-misc-install-xattr-ignore-all-whitespace-in-PORTAGE_.patch,1.12 KB, patch)
2015-05-28 14:55 UTC, Jason Zaman
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Zaman gentoo-dev 2015-05-28 14:52:07 UTC
patch[1] to portage introduced whitespace that isnt just plain ' ' to the PORTAGE_XATTR_EXCLUDE variable. install-xattr fails to ignore the type right after the tab (in this case security.selinux).

Attaching a patch with the fix.

Thanks to BinaryKhaos for reporting and helping to debug.

[1]: https://archives.gentoo.org/gentoo-portage-dev/message/418cdac9c42bfb1f15864dec245ebbe9


Reproducible: Always

Steps to Reproduce:
1. selinux makes the issue really obvious, but should be possible to detect other ways
2. if using <portage-2.2.20, set PORTAGE_XATTR_EXCLUDE in make.conf and put tabs in it
for portage 2.2.20, make.globals already has a tab char in by default.
3. emerge cmake 3.2.2
Actual Results:  
install-xattr: setxattr() failed: Permission denied
!!! doins: /usr/portage/dev-util/cmake/files/cmake.vim does not exist
 * ERROR: dev-util/cmake-3.2.2::gentoo failed (install phase):
 *   doins failed

SELinux denial: type=AVC msg=audit(1432821983.222:279238): avc:  denied  { relabelto } for  pid=27805 comm="install-xattr" name="cmake.vim" dev="md3" ino=15664836 scontext=staff_u:sysadm_r:portage_sandbox_t tcontext=system_u:object_r:portage_ebuild_t tclass=file

Expected Results:  
should install correctly
Comment 1 Jason Zaman gentoo-dev 2015-05-28 14:55:06 UTC
Created attachment 404180 [details, diff]
[PATCH] misc/install-xattr: ignore all whitespace in PORTAGE_XATTR_EXCLUDE

Patch to ignore all types of whitespace.
Comment 2 Anthony Basile gentoo-dev 2015-05-29 11:34:10 UTC
Committed.  Please test =sys-apps/install-xattr-9999.  If its good, I'll push out another release.
Comment 3 Jason Zaman gentoo-dev 2015-05-30 10:40:13 UTC
install-xattr-9999 works on my machine. thanks!

Should portage dep on >=install-xattr-0.5 then?
Comment 4 Anthony Basile gentoo-dev 2015-05-30 13:58:26 UTC
(In reply to Jason Zaman from comment #3)
> install-xattr-9999 works on my machine. thanks!
> 
> Should portage dep on >=install-xattr-0.5 then?

i haven't pushed out 0.5.  And even then, it needs some testing.
Comment 5 Matthias Dahl 2015-05-31 18:00:46 UTC
Sorry for the delay: Installed it on my system too, did some random tests (as well as the initial failure case naturally) and so far all is good and working fine.

If anything comes up, I will report back.
Comment 6 Jason Zaman gentoo-dev 2015-06-06 08:24:04 UTC
*** Bug 551038 has been marked as a duplicate of this bug. ***
Comment 7 Anthony Basile gentoo-dev 2015-06-08 13:13:42 UTC
install-xattr-0.5 is now out with this fix for testing.
Comment 8 Anthony Basile gentoo-dev 2015-06-27 14:03:36 UTC
(In reply to Anthony Basile from comment #7)
> install-xattr-0.5 is now out with this fix for testing.

It hasn't been a full month but its a small enough change.  Let's stabilize.

arch team please target:

KEYWORDS="alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86"
Comment 9 Anthony Basile gentoo-dev 2015-06-27 14:16:17 UTC
stable for ppc and ppc64
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-06-27 16:08:26 UTC
amd64 stable
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-06-28 08:48:32 UTC
x86 stable
Comment 12 Jeroen Roovers gentoo-dev 2015-06-28 08:53:12 UTC
Stable for HPPA.
Comment 13 Markus Meier gentoo-dev 2015-06-28 12:56:33 UTC
arm stable
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-06-28 13:58:24 UTC
alpha stable
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-07-16 16:59:10 UTC
ia64 stable
Comment 16 Agostino Sarubbo gentoo-dev 2015-07-30 13:03:16 UTC
sparc stable
Comment 17 Anthony Basile gentoo-dev 2015-08-03 08:41:43 UTC
ping @arm64. do you want this since I need to drop 0.4 from the tree.
Comment 18 Anthony Basile gentoo-dev 2015-10-09 01:17:02 UTC
sorry arm64, i'm giving up on you :<  i've keyword masked 0.4 for all by arm64.